commit b057a333e8c2f3106d59523dbe57cad898089de6
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri May 20 15:27:05 2022 -0400

    readme

commit c5722101298ad3108be372d420497e884a7e1aec
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri May 20 14:46:33 2022 -0400

    copyright

commit 2d6bc17e9a4850507c0904f8122acd258f1720f8
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Apr 10 12:40:11 2022 -0400

    readme

commit 4a696905ee23890430ca11d98356028642b4447e
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Nov 9 14:32:30 2021 -0500

    readme

commit 52418ee58acda901c89dfbca65904b98e153641a
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Sep 18 04:52:29 2021 -0400

    bumped changelog version

commit dd4d64c70d36d854f6b3f8faff281677000bd1cb
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Sep 18 02:56:51 2021 -0400

    --remote-name

commit 6a737ef113a6ed0cc0f10ff4b51a7752da970cad
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Sep 11 18:42:48 2021 -0400

    bumped changelog version

commit 55725ecac29483ef7f584687d29e4ed0cc378005
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Sep 11 16:31:23 2021 -0400

    readme

commit 1689a3e6d51f478c09327bab2b8f26e6bf6c30e4
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Aug 5 16:42:54 2021 -0400

    bumped changelog version

commit 1673691276dac91b6b2e5aa6d2a319d1e4cc671d
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Aug 4 15:52:13 2021 -0400

    bullseye

commit 006e184a1a1424db24b4a94afd7dd5f7e0e4f290
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Aug 3 06:08:19 2021 -0400

    update lintian tag name

commit 0752afe52d52d2355f7cf31722e02457cfd30963
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Aug 3 05:48:21 2021 -0400

    bullseye

commit 426275df891aa38331a764a421805809009557ed
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Aug 1 16:31:49 2021 -0400

    bullseye

commit 9dc4c14c6a708a2925b05330c48c2199cf20e5ad
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Aug 1 16:24:30 2021 -0400

    readme

commit 2f5226ff99d06fee5907ec7b95b4142447d7fe03
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Jun 5 16:47:47 2021 -0400

    bumped changelog version

commit 196ed3e08d8b6e4b2823ecb2bda8f6933d8bf0ec
Merge: aa28d16 e4d2e16
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Jun 5 15:21:03 2021 -0400

    Merge remote-tracking branch 'github-whonix/master'

commit e4d2e16df6145c06caed99cde8fc9bc3e407bd47
Merge: aa28d16 1fdfc87
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Jun 5 15:19:59 2021 -0400

    Merge pull request #57 from madaidan/kprobes
    
    Enable kprobes

commit 1fdfc87335534e627a29b6cc8d140c5634ce9dd5
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Fri Jun 4 21:00:33 2021 +0000

    Enable CONFIG_KPROBES

commit 4d4993602e9222141f5dfda1373d44c647ff9920
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Fri Jun 4 20:33:39 2021 +0000

    Revert "Optionally enable kprobes/ftrace for LKRG support"
    
    This reverts commit 629b62475455ce5ef073e6ba8b970ea76ade88a0.

commit aa28d16ff6de836058152c1e6e1edd24f1a0fd01
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Mar 17 11:30:36 2021 -0400

    bumped changelog version

commit 4b64abda41fcfe2dba060bb9f15750c8ef9f02e3
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Mar 17 11:30:34 2021 -0400

    readme

commit 6ce7323f9fe1830221c91b10c36b55b6710a8e06
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Mar 17 09:45:15 2021 -0400

    copyright

commit a0be0338aa1cbe29f93f7f37530c13e8c538875c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Dec 23 10:03:27 2020 -0500

    bumped changelog version

commit d941ad1bc6c842e932922d792818ac716ccd437c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Dec 22 08:12:17 2020 -0500

    CI fix
    
    https://forums.whonix.org/t/kernel-recompilation-for-better-hardening/7598/504

commit 1e58d940b7973d7f7f91ccd49935f93ef04c6b7b
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Dec 20 07:55:06 2020 -0500

    bumped changelog version

commit de4bb129a6ef2047c3c8f0a58c96995db5937db2
Merge: a325d03 744945a
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Dec 20 01:40:17 2020 -0500

    Merge remote-tracking branch 'github/master'

commit 744945a031ba019ea716199e4fa1a82fa61bfb6e
Merge: a325d03 629b624
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Dec 20 06:39:24 2020 +0000

    Merge pull request #56 from madaidan/lkrg
    
    Optionally enable kprobes/ftrace for LKRG support

commit 629b62475455ce5ef073e6ba8b970ea76ade88a0
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Sat Dec 19 18:32:02 2020 +0000

    Optionally enable kprobes/ftrace for LKRG support

commit a325d03ee1a3f2dc913da5ac118f6c2ca77b5670
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Dec 14 01:53:59 2020 -0500

    bumped changelog version

commit 8c451962d1703de0a985ba8f67cdc549e3fe32c9
Merge: bc2102f 15d4397
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Dec 14 01:31:02 2020 -0500

    Merge remote-tracking branch 'github/master'

commit 15d439730aa897fb6dc4ba01076c24ca06f4182f
Merge: bc2102f 1069084
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Dec 14 06:30:32 2020 +0000

    Merge pull request #55 from madaidan/system_trusted_keys
    
    Fix issue with compiling host kernel

commit 10690848e25685282c340d4551347734a0ddfe05
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Sun Dec 13 17:32:53 2020 +0000

    Fix issue with compiling host kernel

commit bc2102fccada1df0b4c913dfa8d740166278e3c6
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Oct 30 09:55:57 2020 -0400

    bumped changelog version

commit 55f1347cdebf0f04de393ea61b51e340cf788770
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Oct 29 16:54:23 2020 -0400

    downgrade to --tlsv1.2 since --tlsv1.3 is unsupported by kernel.org
    
    https://www.hardenize.com/report/kernel.org/1603725038#www_tls

commit 0609d89e7b7d760a7cd6c52d50a0149f9f475bbd
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Oct 29 16:18:10 2020 -0400

    bumped changelog version

commit 99babc39df21ac9073583515f4ee8341a34e4669
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Oct 29 16:18:09 2020 -0400

    readme

commit 35b76a54b8fa7df496281290d1136a3a6fccaf85
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Oct 29 16:13:35 2020 -0400

    --tlsv1.3

commit 28f0dfa4414dec3f495f545f57cf3c0fc7e61917
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jun 3 16:32:55 2020 -0400

    bumped changelog version

commit aa07a78619729ce839986b7cece24c6689056522
Merge: 0ed0542 eea9a23
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jun 3 15:05:50 2020 -0400

    Merge remote-tracking branch 'origin/master'

commit eea9a23163a6fe658da19188f7369fa3bd277de5
Merge: 0ed0542 ba34167
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue May 12 15:04:28 2020 +0000

    Merge pull request #54 from madaidan/master
    
    Update to 4.19.122

commit ba34167459fab24b973f722b438bd09b83593ae6
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Mon May 11 18:59:01 2020 +0000

    Update to 4.19.122

commit 0ed05429dbe74a943b11121ec48531817ed67535
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 16 08:32:20 2020 -0400

    bumped changelog version

commit 1a68cf2931ef0558bd53664c6a93308e518d791b
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 15 14:05:32 2020 -0400

    readme

commit 1a17667a49f565221a49bc969a1a1ac6e008a672
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Apr 13 15:40:02 2020 -0400

    bumped changelog version

commit ddc104da25b73f24059993e924adeb8df9f81b54
Merge: 0ea37fe 2ee22d4
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Apr 13 15:39:48 2020 -0400

    Merge remote-tracking branch 'origin/master'

commit 2ee22d49ffba4b7eb51340bd98b4aa212bc7a884
Merge: 0ea37fe 641af41
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Apr 13 17:52:34 2020 +0000

    Merge pull request #53 from madaidan/legacy
    
    Disable legacy drivers

commit 641af41f936cef17a4870d4904a61166d6826859
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Mon Apr 13 16:08:01 2020 +0000

    Disable legacy drivers

commit f2dafb06e5df50a75a69b530f084642169bc436e
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Mon Apr 13 16:06:42 2020 +0000

    Disable legacy drivers

commit 0ea37fe97bf0ce7ee968cd9f285fe2ef3d6dc59c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Apr 13 06:55:43 2020 -0400

    bumped changelog version

commit fdcf91eebecd0b63a130acb858adcd0e1969f99d
Merge: 3f1b898 dd16993
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Apr 13 06:30:52 2020 -0400

    Merge remote-tracking branch 'origin/master'

commit dd169933190f0c5de935915009f923bd80c3f5d1
Merge: 3f1b898 00e3600
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Apr 13 10:19:54 2020 +0000

    Merge pull request #51 from madaidan/unneeded
    
    Disable unneeded drivers - actually not reviewed but tracking that here: https://phabricator.whonix.org/T955

commit 3f1b8981508b8b1f344328d031e8db2134907249
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 2 07:46:24 2020 -0400

    bumped changelog version

commit ab2df71eae766485dee2c396d15ba1a3ddcf8a97
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 2 07:22:32 2020 -0400

    readme

commit 70b99dc5700b3de415907e65e1a9da651e2f87fa
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 1 16:57:30 2020 -0400

    remove genmkfile

commit cc863dd0fd9c52ccc1fcda8a3600708731b19a7d
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 1 10:39:58 2020 -0400

    bumped changelog version

commit 83fc8dcc4a2a7c5866e9457aecac7795754917fc
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 1 08:49:55 2020 -0400

    update copyright year

commit 9667387996dafa033640d5274ae7d9ebebe9bb2e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Mar 12 04:42:17 2020 -0400

    bumped changelog version

commit 8a0f5e8eabbf3d7bf09f4b7623459bd6577b81a1
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Mar 11 09:00:52 2020 -0400

    version="4.19.108"

commit d86b012058c690139f0e5c56d79bc264bb8750df
Merge: a6e47e4 4e2cebe
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Mar 11 09:00:21 2020 -0400

    Merge remote-tracking branch 'origin/master'

commit 4e2cebe3e19e8c7caec6e82a1296ac266ce05bc5
Merge: a6e47e4 6347efb
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Mar 11 12:59:47 2020 +0000

    Merge pull request #52 from madaidan/4.19.108
    
    Update to 4.19.108

commit 6347efb35b8ca8fd2640601670896cff8764785b
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Sun Mar 8 22:10:28 2020 +0000

    Update to 4.19.108

commit a6e47e4ac71b7e17cebc4ddc7fe848631cb8e126
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Mar 5 08:35:38 2020 -0500

    bumped changelog version

commit 00e3600c9338d1951b5d6d7e52bcd3a879985eca
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Wed Mar 4 18:41:56 2020 +0000

    Disable unneeded drivers

commit f7907ad9a471d1448eb2c74de2446b49ed1ddb17
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Wed Mar 4 18:38:50 2020 +0000

    Disable unneeded drivers

commit 107e32667ff5db4a0b3c0d733a9b3338b93d6f87
Merge: fa17620 aeaaef4
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Mar 4 08:46:51 2020 -0500

    Merge remote-tracking branch 'origin/master'
    
    breaks:
    
    CONFIG_RTL8192U
    RealTek RTL8192U Wireless LAN NIC driver
    
    CONFIG_RTL8192E
    RealTek RTL8192E Wireless LAN NIC driver
    
    CONFIG_RTL8723BS
    RTL8723BS SDIO
    Intel Compute Stick, the CHIP and many other Intel Atom and ARM based devices
    
    R8712U
    D-Link DWA-130
    
    CONFIG_R8188EU
    TP-Link TL-WN725N
    
    CONFIG_R8822BE
    Realtek RTL8822BE 802.11ac
    
    CONFIG_RTS5208
    Realtek PCI-E Card Reader RTS5208/5288 support
    
    data acquisition device
    CONFIG_COMEDI
    
    IIO staging drivers
    Accelerometers
    Analog to digital converters
    Capacitance to digital converters
    Direct Digital Synthesis
    Network Analyzer, Impedance Converters
    Resolver to digital converters
    Speakup console speech
    Gasket devices
    
    * Android
    
    * Android related
    
    CONFIG_ANDROID_VSOC
    Android Virtual SoC support
    Virtual SoC driver needed to boot a 'cuttlefish' Android image inside QEmu. The driver interacts with a QEmu ivshmem device. If built as a module, it will be called vsoc.
    Raspberry Pi related:
    
    * Pi433 - a 433MHz radio module for Raspberry Pi
    * CONFIG_PI433

commit aeaaef4c104a029ec786b348952a4fd35743f2a7
Merge: fa17620 c41c461
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Mar 4 13:24:36 2020 +0000

    Merge pull request #45 from madaidan/staging
    
    Disable staging drivers

commit fa176201be3fccb0b6b747c62d55d091d0e44051
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Mar 3 09:18:57 2020 -0500

    bumped changelog version

commit 1ca7476322f3c658c96310eff4cba08798d9c25d
Merge: ea38c44 4176d1e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Mar 3 09:11:45 2020 -0500

    Merge remote-tracking branch 'origin/master'

commit ea38c44cbf011096c504b4cf25a1b2a068d624c3
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Mar 3 09:09:56 2020 -0500

    bumped changelog version

commit 4176d1e4fe6d0ba9db66886f31dc32bc5ef340b4
Merge: caf2fe4 4420dac
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Mar 2 11:36:34 2020 +0000

    Merge pull request #50 from madaidan/hdlc
    
    Disable HDLC in host kernel

commit caf2fe40ee17a2e9482a3e2f96178e2f837c8188
Merge: 1ee0cb4 358ea29
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Feb 29 07:39:55 2020 -0500

    Merge remote-tracking branch 'origin/master'

commit 358ea297832672408b7897d9783a5b181649319c
Merge: c14e42b a277f7b
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Feb 29 08:43:02 2020 +0000

    Merge pull request #48 from madaidan/mce
    
    Re-enable MCE in VM kernel

commit c14e42b6a040ac044b5b6f890585d402745be49f
Merge: 1ee0cb4 6487bcf
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Feb 29 08:30:58 2020 +0000

    Merge pull request #49 from madaidan/dev_coredump
    
    Disable device coredump

commit 4420dac87041169e0c8effd9011591a4edb7bc22
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Fri Feb 28 19:08:23 2020 +0000

    Disable HDLC

commit 6487bcfe231bb3970351b24111959a3e8e14b3d0
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Fri Feb 28 18:56:46 2020 +0000

    Enable device coredump in debug config

commit ebaaf344848c9ddd0056c6cfe4ea59ad14a86c6b
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Fri Feb 28 18:56:07 2020 +0000

    Enable device coredump in debug config

commit 746bb12b6c3b65ad9c7ea501242caa879a84cf94
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Fri Feb 28 18:54:02 2020 +0000

    Disable device coredump

commit e37db95999433e82d4eb7d410ccd5494d4cb256a
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Fri Feb 28 18:53:18 2020 +0000

    Disable device coredump

commit a277f7b27b7b19f79a5b66dac0a62917b7474d41
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Thu Feb 27 17:57:42 2020 +0000

    Re-enable MCE in VM kernel

commit 1ee0cb4642ab42fce55046426273f081095ece0b
Merge: 3cdb41c ffeafb8
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Feb 26 06:01:07 2020 -0500

    Merge remote-tracking branch 'origin/master'

commit ffeafb8b343b8b378741059fde26f27fa9b82a22
Merge: 3cdb41c f2f88e9
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Feb 26 10:58:45 2020 +0000

    Merge pull request #46 from madaidan/virtio-rng
    
    Compile only virtio-rng as built-in

commit 3cdb41c5e5b22b03ab86dd638347115320de38ed
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Feb 26 05:54:57 2020 -0500

    Revert "Revert "Compile HWRNGs as built-in""
    
    This reverts commit 6913763980bcfff164d59f0277238befb35d55c2.
    
    https://forums.whonix.org/t/kernel-recompilation-for-better-hardening/7598/397

commit f2f88e95d9bca28f7f60eabe5c01e05e3975a630
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Tue Feb 25 17:08:09 2020 +0000

    Compile virtio-rng as built-in

commit 6913763980bcfff164d59f0277238befb35d55c2
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Feb 23 10:48:54 2020 -0500

    Revert "Compile HWRNGs as built-in"
    
    This reverts commit 136347b4b18bfa533cf2f59fe4ffec23d8c403b6.

commit cb5abcb5db9a8daa033a265be1f88f7e39d4cf9c
Merge: f48c33b c686908
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Feb 22 02:02:48 2020 -0500

    Merge remote-tracking branch 'origin/master'

commit c6869086b18222efaaf81c08bb74208ae1eab250
Merge: f48c33b 136347b
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Feb 22 06:27:03 2020 +0000

    Merge pull request #44 from madaidan/rng
    
    Compile HWRNGs as built-in

commit c41c461b9ea75e4074cc008942161dd534346b29
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Fri Feb 21 18:40:26 2020 +0000

    Disable staging drivers

commit 136347b4b18bfa533cf2f59fe4ffec23d8c403b6
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Fri Feb 21 18:19:13 2020 +0000

    Compile HWRNGs as built-in

commit f48c33b74fcb7b885d2db89a59ee6c1677589791
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Feb 15 15:28:48 2020 -0500

    bumped changelog version

commit 1539c33fc4f10bae1af5f1e09acf42e63b1d5904
Merge: c02954d 262fceb
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Feb 15 14:43:28 2020 -0500

    Merge remote-tracking branch 'origin/master'

commit 262fceb8174545dd6b6a54b45b05ce40145880a2
Merge: c02954d fa1de31
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Feb 15 19:41:38 2020 +0000

    Merge pull request #43 from madaidan/sysrq
    
    Restrict the SysRq key

commit c02954d47d42c4c5bd850846fc3c7e30a5e1bed7
Merge: 62630d0 d17f44c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Feb 15 05:44:27 2020 -0500

    Merge remote-tracking branch 'origin/master'

commit d17f44cb83a1cb08efdd6db76983a7b5846ee7cb
Merge: 62630d0 10c8a85
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Feb 15 10:10:11 2020 +0000

    Merge pull request #42 from madaidan/ldisc
    
    Restrict loading line disciplines to CAP_SYS_MODULE

commit fa1de31935400d312fdaa9af2806705856448355
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Fri Feb 14 18:24:38 2020 +0000

    Restrict the SysRq key

commit 5ee12aa8b8305276eb93b09bf66c0703f9cbfe4d
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Fri Feb 14 18:24:25 2020 +0000

    Restrict the SysRq key

commit 10c8a8530d4bc132a8d42dc5415e7392877c8f60
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Fri Feb 14 17:56:08 2020 +0000

    Restrict loading line disciplines to CAP_SYS_MODULE

commit 9b187d632141f4b140da227c2cc8ecb813d5aa07
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Fri Feb 14 17:55:49 2020 +0000

    Restrict loading line disciplines to CAP_SYS_MODULE

commit 62630d0713a3a85acd99b712c615b788e0c8029f
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Feb 13 13:38:41 2020 -0500

    bumped changelog version

commit 3676b5563efa6d27628e537be21735749811d6aa
Merge: e217517 0ed6ab0
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Feb 13 13:32:53 2020 -0500

    Merge remote-tracking branch 'origin/master'

commit 0ed6ab08b721484569697ded1aab50cf4eb79f76
Merge: e217517 825a407
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Feb 13 18:31:42 2020 +0000

    Merge pull request #41 from madaidan/rc
    
    Disable remote controllers in VM kernel

commit 825a4076d4464937599d611f4b29d7cb3200c58a
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Wed Feb 12 20:25:39 2020 +0000

    Disable remote controllers

commit e21751758d643dbdb2e0a3f7b0e2407f3172dc34
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jan 23 08:49:28 2020 -0500

    bumped changelog version

commit 330e67c43406b29d42eb39fec60b79a7ca4a0bff
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jan 22 09:47:57 2020 -0500

    Sanity test. 'make oldconfig' should not modify '.config'."
    
    https://forums.whonix.org/t/kernel-recompilation-for-better-hardening/7598/317

commit 9871377b279de4932f8710b76a4388d22c2b784a
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jan 22 09:39:45 2020 -0500

    use standard kernel config file header comment
    
    to be able to use "make oldconfig" as sanity test
    
    https://forums.whonix.org/t/kernel-recompilation-for-better-hardening/7598/317

commit ff4bbf8c77fd10037080f4088165283906af234e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jan 22 06:39:41 2020 -0500

    bumped changelog version

commit 8f547f4169d8c3a9e8330843727581fb85266fbb
Merge: 2673e70 5ccd54e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jan 22 03:51:09 2020 -0500

    Merge remote-tracking branch 'origin/master'

commit 5ccd54eb3a8e1d2f79b4c72571f67b3397e23233
Merge: 2673e70 d1b0bc2
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jan 22 08:40:05 2020 +0000

    Merge pull request #40 from madaidan/inet_diag
    
    Disable INET socket monitoring interface

commit d1b0bc2f47687bb25f5359cd91df7b0e22d347e4
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Tue Jan 21 19:51:21 2020 +0000

    Enable socket monitoring interface in debug config

commit f7ea3bea65395f9a09493d5480faecda2d145834
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Tue Jan 21 19:50:27 2020 +0000

    Disable INET socket monitoring interface

commit b9dc7fa24e51b914c50ba273f289bd3cff1c785e
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Tue Jan 21 19:49:54 2020 +0000

    Disable INET socket monitoring interface

commit 2673e70b2b841783fab8cfbf28a941ef4027ebbd
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Jan 21 03:07:30 2020 -0500

    bumped changelog version

commit 3ec4ec4139316c97817ca35913349abc50e38fe1
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Jan 21 01:36:20 2020 -0500

    fix

commit 392c5ca2c1463eadbadcbb6bfd7724779f52cba2
Merge: 9deca6e ed522ee
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Jan 21 01:35:02 2020 -0500

    Merge remote-tracking branch 'origin/master'

commit ed522ee43b8234088e583a3f91b8f2056fb67df8
Merge: 3acb0b2 7cec525
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Jan 21 06:33:36 2020 +0000

    Merge pull request #39 from madaidan/4.19.97
    
    Update to 4.19.97

commit 3acb0b267757c2a7793bb967405e2ae80424de1d
Merge: 7b831c7 dab9f76
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Jan 21 06:32:18 2020 +0000

    Merge pull request #38 from madaidan/coredump
    
    Disable coredumps

commit 7b831c7a6da1d8ee71be25019d7738023c9ac81b
Merge: fff630a e96c6bc
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Jan 21 06:31:39 2020 +0000

    Merge pull request #37 from madaidan/vsyscall_emulation
    
    Disable vsyscall emulation

commit fff630aae4bfed6eeeabe3802ab0697a1ff5ab22
Merge: 9deca6e 958149b
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Jan 21 06:27:44 2020 +0000

    Merge pull request #36 from madaidan/module_sig
    
    Sign all kernel modules

commit 7cec525d21817d81afc6b8d1791ffc1719924632
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Mon Jan 20 18:18:43 2020 +0000

    Update to 4.19.97

commit 0dd076d0407a2cadf2718bc0f844f8981c8895eb
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Mon Jan 20 18:18:33 2020 +0000

    Update to 4.19.97

commit 1569d871747d2436ce527e89739260d227c947de
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Mon Jan 20 18:16:14 2020 +0000

    Update to 4.19.97

commit dab9f76b9499d8438cfb6eca922e5a7749af704d
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Mon Jan 20 18:05:17 2020 +0000

    Enable coredumps in debug config

commit 5eb972f84b68b23ef292c35d4385eb1a9b1c3cf1
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Mon Jan 20 18:03:23 2020 +0000

    Disable coredumps

commit 8041ff0fd4cf12e7dfcea3f9ef334066539500ee
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Mon Jan 20 18:02:58 2020 +0000

    Disable coredumps

commit e96c6bca7332179c7a0089b9f69ed068d682c370
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Mon Jan 20 17:53:02 2020 +0000

    Disable vsyscall emulation

commit 199214c7f26a1a31a15c50e4f88bc87dcf72b8a0
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Mon Jan 20 17:52:19 2020 +0000

    Disable vsyscall emulation

commit 958149bfa80420df69aaad2a7c0e845668c61939
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Mon Jan 20 17:26:20 2020 +0000

    Sign all kernel modules

commit 3677d648df763efdbf8201c154fa16dff731aa5c
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Mon Jan 20 17:24:46 2020 +0000

    Sign all kernel modules

commit 9deca6e70ad93c72f2e13f3322860100fd7bff13
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jan 20 08:50:35 2020 -0500

    bumped changelog version

commit d9f9752e067a67c960de7dd7bb1fa5f28924fa09
Merge: a732076 2d337b0
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jan 20 07:26:02 2020 -0500

    Merge remote-tracking branch 'origin/master'

commit 2d337b0f93f6c2dbdb94f57210f7b0106b5bbe52
Merge: a732076 a985d1d
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jan 20 12:23:56 2020 +0000

    Merge pull request #34 from madaidan/disable_debugfs
    
    Disable debugfs

commit a985d1d88e7386f53927a883cea0440709d402cf
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Sun Jan 19 15:32:18 2020 +0000

    Host debugging config

commit 720ac8406190ae2e9abac6dffb1db2df271ec4b5
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Sun Jan 19 15:30:45 2020 +0000

    Host debugging config

commit eb4773b1fa5f4ad62857b03feb27780ad6065c51
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Sun Jan 19 15:30:13 2020 +0000

    Enable debugfs in debug config

commit feff80333011b9732225d9b2112283acd201b531
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Sun Jan 19 15:23:16 2020 +0000

    Disable debugfs

commit b6c8e300e7ca0e21788a8ee4294b782cb60af1f7
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Sun Jan 19 15:21:53 2020 +0000

    Disable debugfs

commit a7320767afb0efecb54116b739016a3a02b0fff2
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jan 19 09:02:22 2020 -0500

    bumped changelog version

commit f87664993ed116dce842dee1a31979412a0524ab
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jan 19 08:41:17 2020 -0500

    CI

commit 28de0398c17edca0afcc6d77eafe0951ed6bc4be
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jan 19 04:54:45 2020 -0500

    CI

commit cb225309b7919bdf6118cd529a2bb4129c667bbe
Merge: ff096ff 86c5f51
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jan 19 04:54:21 2020 -0500

    Merge remote-tracking branch 'origin/master'

commit 86c5f51a7bb0cdeb8aeb643f223a5d4ea5114b3b
Merge: 1b1d4ca b8ff2df
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jan 19 09:40:52 2020 +0000

    Merge pull request #32 from madaidan/error_injection
    
    Disable notifier error injection

commit 1b1d4ca42c135d7852652328c30ed8628624d070
Merge: ff096ff ab1e995
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jan 19 09:32:05 2020 +0000

    Merge pull request #33 from madaidan/debug_virtual
    
    Enable sanity checks in virtual to page code

commit ab1e995afedbeef65bd2db5ca95caf57c6bcb467
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Sat Jan 18 18:39:03 2020 +0000

    Enable sanity checks in virtual to page code

commit 1c87d6ff44f98757071bd91e033040274828514e
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Sat Jan 18 18:38:12 2020 +0000

    Enable sanity checks in virtual to page code

commit b8ff2df2dbb8933e79acbbddfc3e2e22b27a8a28
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Sat Jan 18 18:23:16 2020 +0000

    Enable notifier error injection in debug config

commit 286e63818a6514691577d4b0d5d6046ec585da7e
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Sat Jan 18 18:21:40 2020 +0000

     Disable notifier error injection

commit b9d1b05374a561ac0d6e8d9468c94d729ea33938
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Sat Jan 18 18:20:14 2020 +0000

    Disable notifier error injection

commit ff096ff1615efe7f2ced98cc96f92eb723082fb8
Merge: 8862115 bbf425f
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jan 18 05:53:49 2020 -0500

    Merge remote-tracking branch 'origin/master'

commit bbf425fd3a728001fa35d482ab11b6fc114ce0b4
Merge: 8862115 31ba7a1
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jan 18 10:52:54 2020 +0000

    Merge pull request #31 from madaidan/bpf-syscall
    
    Disable bpf() syscall

commit 31ba7a1e8e8e8c475a6f43b632e66bc128ed7296
Merge: 2015690 8862115
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jan 18 10:52:06 2020 +0000

    Merge branch 'master' into bpf-syscall

commit 8862115a87bc382f680a2aacfe3427f51b2ffd49
Merge: f1bbad2 f09547c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jan 17 12:43:14 2020 -0500

    Merge remote-tracking branch 'origin/master'

commit 2015690bf7e0e7170f87f6d0b08df6d85166e99b
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Fri Jan 17 17:43:09 2020 +0000

    Enable bpf() syscall in debug config

commit d069ee8e13f166f80323c80262d199059a42cbe4
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Fri Jan 17 17:41:13 2020 +0000

    Disable bpf() syscall

commit e094ab57ebf08087f5037d351ce119158f7a3f5f
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Fri Jan 17 17:39:53 2020 +0000

    Disable bpf() syscall

commit f09547c50e6c93c79a88deb7391ffdffd48afa8d
Merge: 2c4ffd3 32bcc9b
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jan 17 17:33:57 2020 +0000

    Merge pull request #30 from madaidan/debug-config
    
    Enable /dev/mem and disable panic_on_oops in debugging config

commit f1bbad209a0106b00e94fcb81efed24331c7937e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jan 17 12:08:42 2020 -0500

    .

commit 32bcc9b73b76ca2dda3cc6dc415176de9e735967
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Fri Jan 17 16:49:22 2020 +0000

    Enable /dev/mem and disable panic_on_oops

commit 57afcc0823b0f40b6006a5a7ac42a8d595577fef
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jan 17 11:47:49 2020 -0500

    CI

commit 2c4ffd3975d29e651fe175b6ea1118751c0d3000
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jan 17 11:46:23 2020 -0500

    bumped changelog version

commit b170792328108bed72f6d4f90a7fcdccded93900
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jan 17 06:43:46 2020 -0500

    CI

commit 45ff11e74528c736e5340a5c88d2dd164a747795
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jan 17 06:38:13 2020 -0500

    CI

commit de87a6694705e3d6b95ecf6cd59f709af640e6cc
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jan 17 06:32:12 2020 -0500

    CI

commit 0640d5689655691cbef8c5f9a5dd24dc2a0b7561
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jan 17 05:37:52 2020 -0500

    bumped changelog version

commit 0121f95233b06d6019801f19335d4e9931ccf233
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jan 17 04:51:52 2020 -0500

    CI

commit 335fe0443364f4e9a0dc0893e24c1701b766e074
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jan 17 04:46:44 2020 -0500

    CI

commit 639f5ba21db53df98238ddb70aedc68a99368c5b
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jan 17 03:54:16 2020 -0500

    comments

commit de04622951530c25c3904d68a662328c1065ee8a
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jan 17 03:31:27 2020 -0500

    bumped changelog version

commit 0c48b639bb90e2697e46f148954bcb30afb5cf34
Merge: dae2b22 b3c4ab5
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jan 17 03:09:02 2020 -0500

    Merge remote-tracking branch 'origin/master'

commit dae2b22330f056aebc1960dcc7565fb28b619a0f
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jan 17 03:06:27 2020 -0500

    fix

commit b3c4ab5c0985316aa3301ef547b0c1323997ba65
Merge: 6175e12 3904c47
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jan 17 07:29:29 2020 +0000

    Merge pull request #28 from madaidan/reset_attack
    
    Enable reset attack mitigation in host kernel

commit 6175e12e2326fb984a408536b9573e4835bb6b29
Merge: 68a0a29 2dc5e3d
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jan 17 07:29:14 2020 +0000

    Merge pull request #29 from madaidan/devmem
    
    Disable /dev/mem

commit 2dc5e3d969ed11f07be14fb0879fe8508319b3b0
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Thu Jan 16 22:49:20 2020 +0000

    Disable /dev/mem

commit 558aeea28db3967b415c7ee207795e9874667e87
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Thu Jan 16 22:48:52 2020 +0000

    Disable /dev/mem

commit 3904c472f93973f524c6c7e8c2085763f3f36d0e
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Thu Jan 16 22:10:46 2020 +0000

    Enable reset attack mitigation

commit 68a0a2996bed475e74abdbd8084328bb6207db33
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jan 16 09:38:35 2020 -0500

    fix

commit 2ba3ba2a461dd51a56048abe77dccec6303aab56
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jan 16 09:13:06 2020 -0500

    fix

commit de9624ac7c0565e3e81ba61c510aaadb4f8dc3b7
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jan 16 09:11:34 2020 -0500

    Sanity tests.

commit bde41633305382ecaec26c4af7b388773537dd9d
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jan 16 09:02:52 2020 -0500

    fix

commit 0f7b02febc1a9bb0c8cea31047616a2e69478e5d
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jan 16 08:57:44 2020 -0500

    fix

commit 41dd3c304c8aeb409847ef05988317ea10132a0f
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jan 16 08:21:39 2020 -0500

    fix

commit 9c31b80f14b7989e17e86b505ba938d3ca30030d
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jan 16 07:37:18 2020 -0500

    back to downloading on user's machine for now
    
    https://forums.whonix.org/t/kernel-recompilation-for-better-hardening/7598/267

commit 5fb98216b5535a63bbf0795247c714ad0efdcf64
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jan 16 07:11:06 2020 -0500

    comment

commit d5805f1df6c496284c4cc9e7aa70f5dbc20df5be
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jan 16 07:10:24 2020 -0500

    CI

commit d6cd234162e59265cb75db9d2105f472c44d653e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jan 16 06:09:08 2020 -0500

    comments

commit 29f3a927e9672c1e8f88847d69c87bbedb28e8ac
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jan 16 06:05:50 2020 -0500

    no more download on user's machine
    
    add download helper script for developers

commit 9519547d1b5ddd1ea0b99e2eb72adfd93bc75629
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jan 16 05:53:53 2020 -0500

    add linux and linux-hardened signing keys

commit 8c1ccee4347f04cf585cc35cf22fb4b7311c9f1b
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jan 16 05:47:47 2020 -0500

    CI

commit 6e62da6a300d72b0e650a6a58cd78977b4cc47f9
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jan 16 05:14:37 2020 -0500

    remove ".cdn" from kernel download link since broken

commit 8b73f7626fdd3fa16d431f74c79204039eb49f57
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jan 16 05:14:10 2020 -0500

    add signature links

commit e0b8a994c30969beb4c38e1001bf72dd879a0df1
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jan 16 05:06:50 2020 -0500

    refactoring

commit 8ce52796fac22fd36a2c549f8e19a31eceafa0c9
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jan 16 05:03:45 2020 -0500

    CI

commit f41d29652d02e3c6801a1d945bff48c6ef100af0
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jan 16 05:00:58 2020 -0500

    CI

commit e24a848faf0a4420d68f16cf092e8ff9bf0ce34d
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jan 15 16:40:15 2020 -0500

    CI

commit 96bac53efb41a5ae1f51a767d210d2b7cabe3860
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jan 15 16:20:54 2020 -0500

    CI

commit 50e37377bb43bdee3daa8ea938749eafb505995a
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jan 15 16:17:15 2020 -0500

    cleanup

commit 818d70334507af908dc2e09fd592b93c57938b53
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jan 15 16:15:54 2020 -0500

    CI

commit 4e045bb8605d52231f2b5e020153e12ebd6d8369
Merge: 910f769 7dd5270
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jan 15 16:07:28 2020 -0500

    Merge remote-tracking branch 'origin/master'

commit 7dd527086e010ad6a187617bb626a4e83eb2bb84
Merge: 3981032 517c5fc
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jan 15 21:07:01 2020 +0000

    Merge pull request #24 from madaidan/panic_on_oops
    
    Enable CONFIG_PANIC_ON_OOPS for VM kernel

commit 910f7699e56116f3bd7d53b010a4c4a3725ef586
Merge: 907d143 3981032
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jan 15 15:53:15 2020 -0500

    Merge remote-tracking branch 'origin/master'

commit 3981032a745ace0d1a5bcb3d8b9ea4145eeb52f7
Merge: 5ad7d5c 1a4a0e1
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jan 15 20:51:17 2020 +0000

    Merge pull request #22 from madaidan/binfmt_misc
    
    Disable binfmt_misc

commit 5ad7d5c33bf47898ff3b4bd4560a84de5924ebcf
Merge: 907d143 a092381
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jan 15 20:50:54 2020 +0000

    Merge pull request #27 from madaidan/oldconfig
    
    Fix debug build

commit a092381aaadda584635ed63ba5dfc630321838e0
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Wed Jan 15 20:34:39 2020 +0000

    Should be oldconfig, not olddefconfig

commit 907d1434a3f5e8ad779884a9423855455459e841
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jan 15 11:03:36 2020 -0500

    bumped changelog version

commit 22bbdde42b9fd40e170f87b967a02a0e60e8f798
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jan 15 09:23:37 2020 -0500

    comment

commit b7d0e8e37b57e8e97b4114241d9aeb428d1bcf62
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jan 15 09:22:24 2020 -0500

    fix make olddefconfig for debug kernel

commit 9b3caebc4b05e1d121727c7f2f41ed0dd89c75fa
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jan 15 09:18:42 2020 -0500

    Build-Depends:

commit 5bad9afcf7acf21a910d9b7e674d30bf88a9962e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jan 15 09:01:14 2020 -0500

    convert to Depends:

commit 28b8f5a9eb44d22653704af19ffcfd6170cf8e2c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jan 15 08:57:36 2020 -0500

    add switches --vm and --host

commit 9e8208d9174324b0998525c47ffba6bbe655fa3e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jan 15 08:13:25 2020 -0500

    add --non-interactive

commit 0883227e291ee38d843a7bd692038abfc6761804
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jan 15 08:12:10 2020 -0500

    support running without stdin

commit 28ca957ec6b88c377efa63dc058cafb38494d539
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jan 15 08:10:15 2020 -0500

    refactoring

commit bc37b93b5c36a9e1a3c686055ff1d51b54a173e3
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jan 15 08:01:43 2020 -0500

    CI

commit fea9b0ea29d5e2b08efda699cdc90a16d5216ba4
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jan 15 07:17:31 2020 -0500

    change working folders to /var/lib/hardened-kernel/hardened-vm-kernel and /var/lib/hardened-kernel/hardened-host-kernel
    
    so /var/lib/hardened-kernel can be restricted with apparmor

commit 844e1f0c9628556946ee268a90ffd3e514f48f88
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jan 15 07:15:51 2020 -0500

    delete working folder and re-create with proper permissions

commit 2f8a264cff9f9444c9460b16224f095c6f5014ce
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jan 15 07:13:00 2020 -0500

    use proper working folder for compilation

commit 0ef6022a8421a53e30852274bc57b7f17bbc3db4
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jan 15 07:04:00 2020 -0500

    CI

commit c7ddc25dea5bd5e85223c72ced8291ee0a0fc8fc
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jan 15 06:55:35 2020 -0500

    fix command line parser

commit d9f5f1915232d94988b5389254b5deb384116b79
Merge: 84824c9 fe8ce1b
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jan 15 06:52:22 2020 -0500

    Merge remote-tracking branch 'origin/master'

commit fe8ce1b3629ce06024b789ae16a3be1fed26438b
Merge: bbfea74 c92ec70
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jan 15 07:57:34 2020 +0000

    Merge pull request #26 from madaidan/debugging
    
     Add a way to easily enable debugging options

commit bbfea74ae1c8e792c56a483e0a654a791bd7305c
Merge: 02dc6e4 35461e0
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jan 15 07:56:44 2020 +0000

    Merge pull request #25 from madaidan/profiling
    
    Disable profiling support

commit c92ec70338663dec73cc650db07b1753c5b95edd
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Tue Jan 14 22:01:29 2020 +0000

    Add warning

commit cf7412ab19ceb2ca917925dc5a9b2f8fb319a817
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Tue Jan 14 21:55:45 2020 +0000

    Add a way to easily enable debugging options

commit bbc68faeb7749afcf88789b0057b6c5cb02f5773
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Tue Jan 14 21:52:02 2020 +0000

    Create debugging-config

commit 35461e05c584a7b6fdfe7308f7c0589a248933bf
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Tue Jan 14 21:29:18 2020 +0000

    Disable profiling support

commit acdcfe1074bb80fd769040bb15b22462a2c046dc
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Tue Jan 14 21:28:05 2020 +0000

    Disable profiling support

commit 02dc6e4d483b3420f2ce50d83aaa2de08855e026
Merge: 84824c9 b04ac2e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Jan 14 13:41:52 2020 +0000

    Merge pull request #23 from madaidan/nouveau
    
    Disable nouveau legacy contexts

commit 517c5fc7863bc7103d8d6af05a65befb858431ed
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Mon Jan 13 21:02:01 2020 +0000

    Enable CONFIG_PANIC_ON_OOPS

commit b04ac2e9bd8260e4a497cebe49b4e66a9e0fe81d
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Mon Jan 13 20:42:17 2020 +0000

    Disable nouveau legacy contexts

commit 1a4a0e173129f488d5e42e4a4ed0dde7aa98aab4
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Mon Jan 13 20:33:14 2020 +0000

    Disable binfmt_misc

commit aba4485132ece8497caa6d0a3b3d8411dae1093b
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Mon Jan 13 20:32:52 2020 +0000

    Disable binfmt_misc

commit 84824c97b26181a65893d7a4580bd025d4b48eaf
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jan 11 15:18:13 2020 -0500

    bumped changelog version

commit 6c4cb84139e8d469f0cfbd7b1fffd0eee75456b0
Merge: 959c126 ece5584
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jan 11 15:16:34 2020 -0500

    Merge remote-tracking branch 'origin/master'

commit ece55844f2b5c4364da0e78d9b5fb2923b6cdb13
Merge: 959c126 251c056
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jan 11 20:16:10 2020 +0000

    Merge pull request #21 from madaidan/vivid
    
    Disable vivid

commit 251c056f4ffab99bb9b48c5d7d235937944ad7e2
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Sat Jan 11 18:42:13 2020 +0000

    Disable vivid

commit 959c126880b527e40f8df2207b54de767550bf61
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jan 11 06:38:25 2020 -0500

    bumped changelog version

commit 418d5cd76c3d431607761e3a2b043854222ccd1b
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jan 11 06:37:07 2020 -0500

    CI

commit 11829e5e513656b1b056e6f8da06bc99d6ce3c22
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jan 11 06:35:49 2020 -0500

    bumped changelog version

commit a85fa2162478353d097520b1ecb4df7c92657fbc
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jan 11 05:50:27 2020 -0500

    debugging

commit 28c2deb1c2570c2e045bb03d4733e891841725b6
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jan 11 05:45:10 2020 -0500

    comment

commit a8df9b5eaa02b7f6f88f6e31c59e5f84c53acef0
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jan 11 05:42:15 2020 -0500

    output

commit 17f370e63de9c990106825097b2dcb0dacda4cd0
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jan 11 05:40:10 2020 -0500

    fix, build hardened-vm-kernel

commit 3ee11cba5f9bbf4f0938a9c38a89de7e0647ea51
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jan 11 05:39:33 2020 -0500

    refactoring

commit 6af3bdad3dcbee8093c7bda2d238f990917eebdc
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jan 11 05:37:44 2020 -0500

    debugging

commit d8df5062d89cee7acb275785232e446a84966cbd
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jan 11 05:32:14 2020 -0500

    CI

commit 2819557c7b219ee3920269d47c1d69fac9e4edaf
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jan 11 05:29:46 2020 -0500

    bumped changelog version

commit c6d98b424dca1023d2b5bdd442604a2ec543731d
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jan 11 05:27:28 2020 -0500

    readme

commit 9ab041e4654782a91ac3699b4affafa8091f4551
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jan 11 05:26:38 2020 -0500

    fix lintian warning

commit d968ecd691552c37d5eef3767f97e4e967c17705
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jan 11 05:16:03 2020 -0500

    bumped changelog version

commit 47299e4c86cd91ed6a6b0a3a564f2ca88b4a08a4
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jan 11 05:09:41 2020 -0500

    readme

commit baadd1c399338140839716071cc5982de693fe15
Merge: 3e3eec4 372a053
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jan 11 03:40:05 2020 -0500

    Merge branch 'madaidan-host-kernel'

commit 372a0539435efa7c109e65ce50342354d7abd924
Merge: 3e3eec4 b8cc090
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jan 11 03:39:46 2020 -0500

    Merge branch 'host-kernel' of ssh://github.com/madaidan/hardened-kernel into madaidan-host-kernel

commit 3e3eec46d707cc892375b156c98511bf017b3683
Merge: 3ea4a43 e92ee6b
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jan 11 03:39:08 2020 -0500

    Merge remote-tracking branch 'origin/master'

commit e92ee6b7824e65c5706d908118e95229a9c95cba
Merge: 82a379d 94e8527
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jan 11 08:33:48 2020 +0000

    Merge pull request #18 from madaidan/sctp
    
    Disable SCTP

commit 82a379dd3c0446d253346c986af20aad046e018e
Merge: eccb835 48f1d8f
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jan 11 08:30:03 2020 +0000

    Merge pull request #19 from madaidan/bpf_jit_always_on
    
    Enable BPF_JIT_ALWAYS_ON

commit b8cc09027e2df5336ee0f0648a09b0458b1ee26d
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Fri Jan 10 19:52:05 2020 +0000

    Rename hardened-host-config to hardened-host-kernel

commit 1a8bc88b8c46e1da721267582f00c09fe368a59e
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Fri Jan 10 19:45:30 2020 +0000

    Description

commit c3cd86d565d88592badd86426cd61814fe9947ba
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Fri Jan 10 19:41:30 2020 +0000

    Hardened config

commit 937e59e860bae45d8f1901f15ba587932e112700
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Fri Jan 10 19:39:55 2020 +0000

    Default Debian config

commit eccb835c33d00ddcf18c4b480a31845bc2e96000
Merge: 2ec6a68 bf08adc
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jan 10 19:27:13 2020 +0000

    Merge pull request #17 from madaidan/acpi_table_upgrade
    
    Disable ACPI table upgrading

commit 2ec6a682b4494dfafb6ff1fbcd66c6d14f55ba38
Merge: 3ea4a43 d61b091
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jan 10 19:26:22 2020 +0000

    Merge pull request #16 from madaidan/4.19.93
    
    Update to 4.19.93

commit 48f1d8fdbe417f0e2d10fa087f221a745428e9e3
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Thu Jan 9 20:19:27 2020 +0000

    Enable BPF_JIT_ALWAYS_ON

commit 94e8527e6bdade55d8ef83afe1bd31b273b872e0
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Thu Jan 9 19:55:33 2020 +0000

    Disable SCTP

commit bf08adc8806e6c2d80de0ce10ea90b9ae3af170b
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Thu Jan 9 19:21:55 2020 +0000

    Disable ACPI table upgrading

commit d61b0918e7c53df43bc8a3c20ff8529b66e8c1e2
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Thu Jan 9 19:13:43 2020 +0000

    Update to 4.19.93

commit 3ea4a43f8744d09ef36d182f9d325f3d9fb9c129
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Dec 30 05:59:05 2019 -0500

    bumped changelog version

commit 915118150beafce8ef44f199dd886f1a910cfd67
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Dec 28 05:19:36 2019 -0500

    CI debugging

commit a0f3052cc6643cb7bfc81cef3b2bede6d5da84f1
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Dec 28 05:03:16 2019 -0500

    fix "dpkg-checkbuilddeps: error: Unmet build dependencies: bc kmod cpio"

commit 417773f04ce77bded03a2384c787105c7b912c73
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Dec 28 04:58:40 2019 -0500

    try fix
    
    tar -xf /root/kernel/linux-4.19.91.tar.xz -C /root/kernel/linux-4.19.91/
    tar: /root/kernel/linux-4.19.91: Cannot open: No such file or directory

commit e507352abd0d06a8870854b91699b9de763433c3
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Dec 28 04:37:59 2019 -0500

    CI

commit 6b2717329fd714078c99eeab221f8a930b767121
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Dec 28 04:37:08 2019 -0500

    CI

commit bd36d6b2f57deedcf083319a5391c74525a416ff
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Dec 28 04:33:53 2019 -0500

    CI

commit 513483ddadc58fb30c9b283f69a7fc7f3238f4ee
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Dec 28 04:23:07 2019 -0500

    minor

commit 285b589c4c4c06eeae186a2b3141618cda2c0e0d
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Dec 28 04:22:48 2019 -0500

    CI

commit 4bd6d8ad0b184763c777cb9c9d7ea803ab9a0e46
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Dec 28 04:21:38 2019 -0500

    remove dependency on scurl

commit 14b5f1c9d6949dba2176c86e48b19f3fe790fdfc
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Dec 28 04:20:09 2019 -0500

    CI

commit 2b4674df4f8e4989450ed7891d18cdc661c85cf5
Merge: c2a6c75 f1e2726
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Dec 28 04:19:07 2019 -0500

    Merge remote-tracking branch 'origin/master'

commit f1e27266b42dff259486dc7cc01c5ebf0bfa67c7
Merge: c2a6c75 f13a1ee
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Dec 28 09:18:41 2019 +0000

    Merge pull request #14 from madaidan/linux-hardened
    
     Use kernel.org sources and apply linux-hardened patch

commit c2a6c750ef99424044f373a26e7119daae3c90e3
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Thu Dec 26 15:04:34 2019 +0000

    linux-hardened config options

commit 087aebfa724566328054f4fe6f841b20cb016d83
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Thu Dec 26 15:02:51 2019 +0000

    Update to 4.19.91

commit e59d5d3d90e6b07b89794aea69c92306148e463f
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Thu Dec 26 15:06:24 2019 +0000

    Disable page poisoning
    
    We're going to use linux-hardened's CONFIG_PAGE_SANITIZE instead

commit 9a089d4e909c110e5e716c1c72920e69ee89a5a6
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Dec 28 04:11:45 2019 -0500

    CI

commit 2d92b2e8fd8906ee63ec155bb697ac7c5f15ad80
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Dec 28 04:00:03 2019 -0500

    CI

commit bab80f51ab6ffaa1cee5a47da830c78824b96f0d
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Dec 28 02:50:19 2019 -0500

    CI

commit 14c9314d1cfe8bd9e4898209a7a5fb85132e61cc
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Dec 28 02:44:14 2019 -0500

    CI

commit ec5f72fa506c9b571dca05c532887c34d27242cd
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Dec 28 02:37:55 2019 -0500

    CI

commit 69fbf7b0e0db1e11f0055827e041d463bf7d604e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Dec 28 02:29:31 2019 -0500

    CI

commit 9a1930019a061fa3425976568aba144a6ee26474
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Dec 28 02:17:21 2019 -0500

    build without genmkfile

commit de7ffef067ce74b6312531bc161d52f8d7901761
Merge: 518485c d1359be
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Dec 28 02:09:40 2019 -0500

    Merge remote-tracking branch 'origin/master'

commit 518485c573478c911cf7b40f7cb02c419483dad1
Merge: 7ced9cc 2d2e1aa
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Dec 28 02:08:44 2019 -0500

    Merge remote-tracking branch 'origin/master'

commit 7ced9cc3119289f62edd96677337178cd6cfde5f
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Dec 28 02:07:43 2019 -0500

    Add /.travis.yml to extend-diff-ignore in debian/source/options.

commit d0558d0bc1b18c8db9b29d7ecaee258ca8a731d5
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Dec 28 02:06:54 2019 -0500

    Add .travis.yml from <http://travis.debian.net>

commit d1359be168af6913ca7289dce2c90a0c7139dfce
Merge: 2d2e1aa 6d6e82b
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Dec 27 06:35:26 2019 +0000

    Merge pull request #15 from madaidan/jobs
    
    Use [number_of_cores + 1] parallel jobs for compilation

commit 6d6e82b5ff01d9f22f1a55902511e49f478f78aa
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Thu Dec 26 15:22:27 2019 +0000

    Use [number_of_cores + 1] parallel jobs for compilation

commit f13a1eec761148d053cc6564738900f7ddafbf44
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Thu Dec 26 15:17:56 2019 +0000

    Depend on scurl

commit e60cb6009fafcfa7ebf78a6d1703836f8cc04613
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Thu Dec 26 15:16:29 2019 +0000

    Use kernel.org sources apply linux-hardened patch

commit 7d8160cfe3c954687caa5ffcbdcd2e11c3417c00
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Thu Dec 26 15:06:24 2019 +0000

    Disable page poisoning
    
    We're going to use linux-hardened's CONFIG_PAGE_SANITIZE instead

commit 224b93ca771b04c6e4175b8224931c3d284bf256
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Thu Dec 26 15:04:34 2019 +0000

    linux-hardened config options

commit 7018652982eb324e0a9f018104c190f1e60bbba5
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Thu Dec 26 15:02:51 2019 +0000

    Update to 4.19.91

commit 2d2e1aa6970702df68939300c18fd899a6185b8f
Merge: 03287a3 b0dc73e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Dec 25 12:34:20 2019 +0000

    Merge pull request #13 from madaidan/networking
    
    Disable some unneeded networking stuff

commit b0dc73ee6bc0e7e36b8b2654286035749f329215
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Tue Dec 24 22:50:51 2019 +0000

    Disable some unneeded networking stuff

commit 03287a3f3de7c3a28665e76f33a41be008896fc4
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Dec 23 08:31:51 2019 -0500

    bumped changelog version

commit 37a46512aaeb60ba9918458f391d1d423e5fadee
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Dec 23 08:31:29 2019 -0500

    readme

commit 946453192a048eb59b78e80a685ca6a2db82eeae
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Dec 23 08:31:10 2019 -0500

    delete broken Ubuntu .travis.yml

commit d2da340d176b1ec4caa6399aa091912a88aff470
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Dec 23 08:00:29 2019 -0500

    initial packaging

commit 3ee2b48aedde922c5466675023754ac5611db8d7
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Dec 19 09:14:30 2019 -0500

    fix non-interactive build issue
    
    https://forums.whonix.org/t/kernel-recompilation-for-better-hardening/7598/159

commit b9ef5ad2fa241adbd233b4a5ed274b9e26795017
Merge: 03ff567 1655267
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Dec 19 09:04:38 2019 -0500

    Merge remote-tracking branch 'origin/master'

commit 16552679edb5c214619040a644c087da62cb4bd2
Merge: 03ff567 e1e63c0
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Dec 19 14:04:07 2019 +0000

    Merge pull request #12 from madaidan/gcc-plugins
    
    Enable GCC plugins

commit 03ff56715462ea3601e5b2f2f2c1f51bb138ec5e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Dec 19 08:45:36 2019 -0500

    quotes

commit 0899b62bd5d73a08c2962cd5a93fbbd983838ac1
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Dec 19 08:45:23 2019 -0500

    Sanity test.

commit 691a5b0130843972a7bc240f48d3b885e6167cf5
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Dec 19 08:44:56 2019 -0500

    fix path to kernel config

commit 7228e0fd3913a748331c1cd69af85497729d6804
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Dec 19 08:44:08 2019 -0500

    CI

commit f96c81bab0e61a32fd95f772cf06d2375d396a73
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Dec 19 08:37:23 2019 -0500

    no longer hardcode version

commit ea654a283fb7e9128d187e1221ad97ae20c4d66e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Dec 19 08:21:24 2019 -0500

    CI: sudo apt-get update

commit c914ef89d40d7befbc544c6aba2574dac67865d8
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Dec 19 08:20:13 2019 -0500

    CI language: minimal

commit 634c95555af6cb490ac71e305d5700626c05f2bb
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Dec 19 08:18:11 2019 -0500

    CI run build script

commit ec59c00f135edaf3ab4721d9b18a44e90a709b11
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Dec 19 08:17:04 2019 -0500

    moved build -> usr/share/hardened-vm-kernel/build

commit fb3df4e2cf70ec57d9f117a5d6d47fa987593814
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Dec 19 08:16:30 2019 -0500

    add skeleton CI test files

commit c79d4278cb6344e05d26ece687bbab0bc6cf313b
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Dec 19 08:08:39 2019 -0500

    add gcc-8-plugin-dev
    
    as reported by @madaidan
    
    https://forums.whonix.org/t/kernel-recompilation-for-better-hardening/7598/147

commit e1e63c059a57e28b9bd9c5ca642397ba717cef9a
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Wed Dec 18 19:59:50 2019 +0000

    Enable GCC plugins

commit 0a29b7d09dd31952766d61b3bb3991f945725954
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Dec 18 14:57:46 2019 -0500

    add suggestions by @madaidan
    
    https://forums.whonix.org/t/kernel-recompilation-for-better-hardening/7598/145

commit 083aa69d94eec543017c554d99d47dd20becc100
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Dec 18 08:51:49 2019 -0500

    fix

commit 198df6269dbcf75ebb3c733f44ba677a4fd04164
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Dec 18 08:46:46 2019 -0500

    initial version of build script

commit 1869bd5d1891253cd78270fb7cf330ea1df133f7
Merge: 95032af e8a5d6b
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Dec 18 08:15:29 2019 -0500

    Merge remote-tracking branch 'origin/master'

commit e8a5d6b6100410e1f8b8314eb820a3cb166d48f6
Merge: c0d45e4 390c6ae
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Dec 18 12:36:53 2019 +0000

    Merge pull request #10 from madaidan/hardening
    
    More hardening

commit 390c6ae36697e93ff345477b90ed9ec124a7c0ac
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Mon Dec 16 19:57:53 2019 +0000

    More hardening

commit c0d45e4f0e68e2507b601024453e7c7e7cdbdd21
Merge: 1d806c7 6297adf
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Dec 12 20:16:28 2019 +0000

    Merge pull request #8 from madaidan/distrust-cpu
    
    Distrust the CPU for initial entropy

commit 1d806c7ed8f9a8f0ae573d18d072a1aed992d437
Merge: 8f27189 e6b8c4b
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Dec 12 20:16:13 2019 +0000

    Merge pull request #7 from madaidan/hardening
    
    More hardening

commit e6b8c4b4049fe2d98aba8f4de866718106f68a79
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Thu Dec 12 19:58:12 2019 +0000

    Re-enable coredumps

commit 8f27189f3b9a9b1c4059517c8132649575250a51
Merge: 95032af 188da78
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Dec 11 21:29:13 2019 +0000

    Merge pull request #6 from madaidan/disable-ksm
    
    Disable KSM

commit 95032afa3362093f625e2608ac9cd8ad3ba40f53
Merge: 41d2ad5 ac6c752
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Dec 3 06:35:46 2019 +0000

    Merge pull request #9 from madaidan/jitterentropy
    
    Compile jitterentropy as built-in

commit ac6c752b656d82fa227a8e4e10a946aa8cd693db
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Mon Dec 2 16:54:20 2019 +0000

    Compile jitterentropy as built-in

commit 6297adffa858dbea81a5c0c9b0f36febdc126faa
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Mon Dec 2 16:44:05 2019 +0000

    Distrust the CPU for initial entropy

commit a82640be77905c06cacfe56c91b002f92348a72b
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Fri Nov 29 20:01:20 2019 +0000

    More hardening

commit 188da7849814392d0290208087f44a7b1eb7fefb
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Sun Nov 24 12:43:11 2019 +0000

    Disable KSM

commit 41d2ad501f6a5b274fb2472eae2bc296b30dab74
Merge: 58a5d0f a9a63de
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Nov 23 15:47:26 2019 +0000

    Merge pull request #5 from madaidan/disable-aio
    
    Disable AIO

commit a9a63deb995504c5430f1e27c2913ada5e6ee993
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Sat Nov 23 15:24:23 2019 +0000

    Disable AIO

commit 58a5d0f73053d26b2a32b17665b30b03a5dff1e6
Merge: cc006be c890430
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Nov 23 15:09:53 2019 +0000

    Merge pull request #4 from madaidan/unneeded
    
    Remove unneeded stuff

commit c89043075216a7098b7603009f2334d73bd4d73b
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Sat Nov 23 13:16:31 2019 +0000

    Update kernel-config

commit 84914bdc092a18ea547aaa40ca3d8e892d500e52
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Sat Nov 23 13:15:52 2019 +0000

    Remove unneeded stuff

commit cc006be554e5fac5fe3efceaee9416a56cdce5ac
Merge: 378bd2e 74e8fe5
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Nov 23 06:20:51 2019 +0000

    Merge pull request #3 from madaidan/kvm
    
    KVM fixes

commit 74e8fe5be1698f8d94712fb7ccdbe90471be9ccf
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Fri Nov 22 19:40:50 2019 +0000

    Remove suffix

commit 08aefceb8c9ee3f0d268fee8d81263a9ff62363f
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Wed Nov 20 22:11:09 2019 +0000

     Add "-hardened" suffix

commit ec5dd1ae591e77576986e4d1826172d66137d3f9
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Wed Nov 20 22:08:05 2019 +0000

    Update kernel-config

commit 378bd2e860959b8bfc349b8f348c3fe00980f720
Merge: 57bf57a 5c873d9
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Nov 13 06:52:00 2019 +0000

    Merge pull request #2 from madaidan/hardening
    
    Disable ftrace

commit 5c873d9ad90b164dd79d806b129a74608de2ebb5
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Tue Nov 12 18:39:30 2019 +0000

    Disable ftrace

commit 57bf57aec123eab9ce64400388bb3724dcd3f4b4
Merge: 4e8aa21 e9fc275
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Nov 12 10:03:23 2019 +0000

    Merge pull request #1 from madaidan/hardening
    
    More hardening

commit e9fc275d0e321278c7ac0c6e61eabf587a7b3b51
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Mon Nov 11 18:06:52 2019 +0000

    More hardening

commit 4e8aa214942bb4a28c2fcf9bd80fff149e6e82c3
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Sat Nov 9 00:26:48 2019 +0000

    e1000 and piix4 are needed for virtualbox

commit ba560c816e192624a183a59f9907c253395ff391
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Fri Nov 8 22:49:06 2019 +0000

    Re-enable netfilter SCTP modules

commit 37763dbdfb85e534609fc891369b11e21360774e
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Fri Nov 8 22:31:13 2019 +0000

    Create README.md

commit 407dc6100bfc1708e89c4429daff59d35d0660ba
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Fri Nov 8 22:28:33 2019 +0000

    Hardened config

commit e94ae689a530c4bc13f87dc4bf5c59d7eed903ca
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Fri Nov 8 22:28:04 2019 +0000

    Default Debian config
